notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
gstreamer1-plugins-mad GStreamer mp3 decoder plugin
1.8.0 audio Deleted on this many watch lists=1 search for ports that depend on this port Find issues related to this port Report an issue related to this port 1.8.0Version of this port present on the latest quarterly branch. NOTE: Slave port - quarterly revision is most likely wrong.
Maintainer: multimedia@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2013-04-27 20:57:07
Last Update: 2017-07-22 12:35:44
SVN Revision: 446388
License: not specified in port
Description:
SVNWeb : Homepage

There is no configure plist information for this port.

Dependency lines:
  • gstreamer1-plugins-mad>0:audio/gstreamer1-plugins-mad
No installation instructions: this port has been deleted.
The package name of this deleted port was:
PKGNAME: gstreamer1-plugins-mad
Flavors: there is no flavor information for this port.
distinfo:

Master port: multimedia/gstreamer1-plugins

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. gstreamer1>=1.4.0 : multimedia/gstreamer1
  2. iso-codes>=0 : misc/iso-codes
  3. orc>=0.4.16 : devel/orc
  4. gstreamer1-plugins>=1.4.0 : multimedia/gstreamer1-plugins
  5. msgfmt : devel/gettext-tools
  6. gmake : devel/gmake
  7. pkgconf>=1.3.0_1 : devel/pkgconf
  8. g-ir-scanner : devel/gobject-introspection
  9. gstreamer1-plugins-ugly>=1.4.0 : multimedia/gstreamer1-plugins-ugly
Runtime dependencies:
  1. iso-codes>=0 : misc/iso-codes
  2. gstreamer1-plugins>=1.4.0 : multimedia/gstreamer1-plugins
  3. gstreamer1-plugins-ugly>=1.4.0 : multimedia/gstreamer1-plugins-ugly
Library dependencies:
  1. libgstreamer-1.0.so : multimedia/gstreamer1
  2. libfreetype.so : print/freetype2
  3. liborc-0.4.so : devel/orc
  4. libmad.so : audio/libmad
  5. libintl.so : devel/gettext-runtime
  6. libglib-2.0.so : devel/glib20
  7. libintl.so : devel/gettext-runtime
  8. libxml2.so : textproc/libxml2
There are no ports dependent upon this port

Configuration Options

USES:

Master Sites:
  1. There is no master site for this port.
Port Moves
  • port moved to audio/gstreamer1-plugins-mpg123 on 2017-07-21
    REASON: The GStreamer 1 mad plugin was removed, the mpg123 plugin supplies the same functionality

Number of commits found: 12

Commit History - (may be incomplete: see SVNWeb link above for full details)
This is a slave port. You may also want to view the commits to the master port: multimedia/gstreamer1-plugins
DateByDescription
22 Jul 2017 11:35:44
Original commit files touched by this commit  1.8.0
Revision:446388
kwm search for other commits by this committer
Update GStreamer1 ports to 1.12.2.

Rework the adding of dependancies in Mk/bsd.gstreamer.mk.
Previous when using USE_GSTREAMER[1] it would just add the request modules to
BUILD/RUN_DEPENDS. This caused the qa script to complain because the old code
didn't implicit depend on the gstreamer1 and gstreamer1-plugins[-bad] ports for
the libraries they carried, even if they where present via the plugins! The new
code adds implicit depends on these ports so USE_GSTREAMER[1] using ports have
all the libraries included.

* The mad mp3 plugin was removed, mpg123 plugin also provides mp3 decoding.
Switch over ports that used the gstreamer1 mad plugin.
* gtksink plugin renamed -> gtk
* Hook up the sndio plugin into the framework
* Add some indirect dependacies where needed
* Reorder the plugin list in bsd.gstreamer.mk so only one plugin per line. When
changing plugins it doesn't result in multiple lines being changed.
* Remove mentions in bsd.gstreamer.mk of plugins mentions that where removed.
* Depend on libunwind on i386/amd64, GStreamer links to it if it is present.

PR:		220753
Exp-run by:	antoine@
04 Jan 2016 14:21:57
Original commit files touched by this commit  1.6.2
Revision:405242
kwm search for other commits by this committer
Update GStreamer1 to 1.6.2.
Update GStreamer1-vaapi to 0.7.0.

* Spell GStreamer consistently. [1]
* Fix typo in py3kplist in py3-gstreamer1 [1]
* Improve plugins COMMENTS (more improvements welcome)
* Actually include the gstreamer1-libav update this time.

PR:		204204 [1] (based on)
Submitted by:	olivierd@ [1]
22 Dec 2014 10:22:39
Original commit files touched by this commit  1.4.5
Revision:375225
kwm search for other commits by this committer
Update Gstreamer framework to 1.4.5.
17 Dec 2014 21:14:30
Original commit files touched by this commit  1.4.4_2
Revision:374874
antoine search for other commits by this committer
Fix 41 gstreamer1-plugins- ports that were creating empty packages

With hat:	portmgr
08 Dec 2014 16:48:41
Original commit files touched by this commit  1.2.4_1
Revision:374303
tijl search for other commits by this committer
Replace USES=libtool:oldver with USES=libtool or USES=libtool:keepla in
the 32 ports that still use it.  Bump PORTREVISION on their dependent
ports except the ones that depend on these:

audio/libogg
audio/libvorbis
devel/pcre
ftp/curl
graphics/jpeg
graphics/libart_lgpl
graphics/tiff
textproc/expat2
textproc/libxslt

In these cases the same trick as in the recent gettext update is used.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
23 Apr 2014 14:22:48
Original commit files touched by this commit  1.2.4
Revision:351947
tijl search for other commits by this committer
Update gstreamer 1.0 ports to version 1.2.4.
23 Apr 2014 13:25:17
Original commit files touched by this commit  1.2.3_1
Revision:351936
tijl search for other commits by this committer
When linking a library libA with a library libB using libtool, if libB.la
exists, libtool will add all libraries libB.la refers to (dependency_libs
field) to the linker command line and store them in the dependency_libs
field of libA.la.  So everything that subsequently links with libA will also
link to these extra libraries.  This causes too much overlinking.

This commit modifies Mk/Uses/libtool.mk so it empties the dependency_libs
field in .la libraries during staging.  However, because .la libraries have
very limited use when dependency_libs is empty it makes sense to completely
remove them during staging.

So with this commit USES=libtool is modified to remove .la libraries and a
new form (USES=libtool:keepla) is introduced in case they need to be kept
(dependency_libs is still emptied).
(Only the first 15 lines of the commit message are shown above View all of this commit message)
25 Feb 2014 20:26:10
Original commit files touched by this commit  1.2.3
Revision:346072
kwm search for other commits by this committer
Update gstreamer to 1.2.3.

Switch from USE_GNOME=ltverhack to USES=libtool
05 Feb 2014 15:53:18
Original commit files touched by this commit  1.2.2_1
Revision:342735
bapt search for other commits by this committer
Chase libmad changes
01 Nov 2013 22:14:08
Original commit files touched by this commit  1.0.10
Revision:332416
kwm search for other commits by this committer
Stagify Gstreamer ports.
Fix build of gstreamer and gstreamer1 with glib 2.38.x [1].
Update gstreamer and gstreamer-plugins to new rules, USES=gmake pathfix,
new LIB_DEPENDS syntax.
Only pull in flex if base version is too old.
Be more selective for which OSVERSIONS we need gcc due to the clang bug.

Obtained from:	Gstreamer upstream [1]
20 Sep 2013 14:36:37
Original commit files touched by this commit  1.0.10
Revision:327706
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
audio)
27 Apr 2013 20:56:38
Original commit files touched by this commit  1.0.7
Revision:316693
kwm search for other commits by this committer
Add Gstreamer 1.0.7. This is the new stable version of the
Gstreamer multimedia framework.

Use the USE_GSTREAMER1 macro to select Gstreamer 1.0 plugins. A new chapter
for the porters handbook about gstreamer is a work in progress.

X related plugins are now stand alone. The gio plugin is now part of the
gstreamer1-plugins port and the oss plugins are now part of the
gstreamer1-plugins-good port.

Note that the pulseaudio plugin is missing because it needs a newer version
of pulseaudio. Also there are still a number of plugins from -bad which
haven't been ported to the 1.0 API yet.

Number of commits found: 12

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
drm-current-kmodNov 20
drm-devel-kmodNov 20
drm-fbsd12.0-kmodNov 20
squidNov 19
libidn2Nov 18
gcpioNov 15
libmadNov 13
chromiumNov 12
wordpressNov 12
wordpressNov 12
wordpressNov 12
wordpressNov 12
wordpressNov 12
nexus2-ossNov 07
php71Nov 06

9 vulnerabilities affecting 115 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-11-20 10:58:20


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 38081
Broken 779
Deprecated 95
Ignore 1049
Forbidden 3
Restricted 157
No CDROM 72
Vulnerable 33
Expired 7
Set to expire 65
Interactive 0
new 24 hours 5
new 48 hours8
new 7 days35
new fortnight61
new month131

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.